<!--
  Licensed to the Apache Software Foundation (ASF) under one
  or more contributor license agreements.  See the NOTICE file
  distributed with this work for additional information
  regarding copyright ownership.  The ASF licenses this file
  to you under the Apache License, Version 2.0 (the
  "License"); you may not use this file except in compliance
  with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an
  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  KIND, either express or implied.  See the License for the
  specific language governing permissions and limitations
  under the License.
-->

# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [0.20.4](https://github.com/apache/superset/compare/v0.20.3...v0.20.4) (2024-12-10)

**Note:** Version bump only for package @superset-ui/plugin-chart-word-cloud

# [0.20.0](https://github.com/apache/superset/compare/v2021.41.0...v0.20.0) (2024-09-09)

### Bug Fixes

- **Dashboard:** Color inconsistency on refreshes and conflicts ([#27439](https://github.com/apache/superset/issues/27439)) ([313ee59](https://github.com/apache/superset/commit/313ee596f5435894f857d72be7269d5070c8c964))
- fix word cloud randomness ([#19977](https://github.com/apache/superset/issues/19977)) ([2e31021](https://github.com/apache/superset/commit/2e31021ecd6cc390fbe29d2837c026c6ac43903b))
- **word cloud:** series label format fixed for custom sql queries ([#23517](https://github.com/apache/superset/issues/23517)) ([41ad944](https://github.com/apache/superset/commit/41ad9442c07690786b8b398b91f07df6235812e3))

### Features

- apply standardized form data to tier 2 charts ([#20530](https://github.com/apache/superset/issues/20530)) ([de524bc](https://github.com/apache/superset/commit/de524bc59f011fd361dcdb7d35c2cb51f7eba442))
- improve color consistency (save all labels) ([#19038](https://github.com/apache/superset/issues/19038)) ([dc57508](https://github.com/apache/superset/commit/dc575080d7e43d40b1734bb8f44fdc291cb95b11))
- **viz picker:** Remove some tags, refactor Recommended section ([#27708](https://github.com/apache/superset/issues/27708)) ([c314999](https://github.com/apache/superset/commit/c3149994ac0d4392e0462421b62cd0c034142082))

### Performance Improvements

- **word-cloud:** reduce render to improve performance ([#21504](https://github.com/apache/superset/issues/21504)) ([94a724e](https://github.com/apache/superset/commit/94a724e49bd8887d3c3bba1551f6f7415c64eb0a))

# [0.19.0](https://github.com/apache/superset/compare/v2021.41.0...v0.19.0) (2024-09-07)

### Bug Fixes

- **Dashboard:** Color inconsistency on refreshes and conflicts ([#27439](https://github.com/apache/superset/issues/27439)) ([313ee59](https://github.com/apache/superset/commit/313ee596f5435894f857d72be7269d5070c8c964))
- fix word cloud randomness ([#19977](https://github.com/apache/superset/issues/19977)) ([2e31021](https://github.com/apache/superset/commit/2e31021ecd6cc390fbe29d2837c026c6ac43903b))
- **word cloud:** series label format fixed for custom sql queries ([#23517](https://github.com/apache/superset/issues/23517)) ([41ad944](https://github.com/apache/superset/commit/41ad9442c07690786b8b398b91f07df6235812e3))

### Features

- apply standardized form data to tier 2 charts ([#20530](https://github.com/apache/superset/issues/20530)) ([de524bc](https://github.com/apache/superset/commit/de524bc59f011fd361dcdb7d35c2cb51f7eba442))
- improve color consistency (save all labels) ([#19038](https://github.com/apache/superset/issues/19038)) ([dc57508](https://github.com/apache/superset/commit/dc575080d7e43d40b1734bb8f44fdc291cb95b11))
- **viz picker:** Remove some tags, refactor Recommended section ([#27708](https://github.com/apache/superset/issues/27708)) ([c314999](https://github.com/apache/superset/commit/c3149994ac0d4392e0462421b62cd0c034142082))

### Performance Improvements

- **word-cloud:** reduce render to improve performance ([#21504](https://github.com/apache/superset/issues/21504)) ([94a724e](https://github.com/apache/superset/commit/94a724e49bd8887d3c3bba1551f6f7415c64eb0a))

# [0.18.0](https://github.com/apache-superset/superset-ui/compare/v0.17.87...v0.18.0) (2021-08-30)

**Note:** Version bump only for package @superset-ui/plugin-chart-word-cloud

## [0.17.61](https://github.com/apache-superset/superset-ui/compare/v0.17.60...v0.17.61) (2021-07-02)

**Note:** Version bump only for package @superset-ui/plugin-chart-word-cloud
